depends = ('ITKPyBase', 'ITKCommon', )
templates = (
  ('GPUContextManager', 'itk::GPUContextManager', 'itkGPUContextManager', True),
  ('GPUKernelManager', 'itk::GPUKernelManager', 'itkGPUKernelManager', True),
  ('GPUDataManager', 'itk::GPUDataManager', 'itkGPUDataManager', True),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageUC2', True, 'unsigned char, 2'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageUL2', True, 'unsigned long, 2'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageSS2', True, 'signed short, 2'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageUS2', True, 'unsigned short, 2'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageF2', True, 'float, 2'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageUC3', True, 'unsigned char, 3'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageUL3', True, 'unsigned long, 3'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageSS3', True, 'signed short, 3'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageUS3', True, 'unsigned short, 3'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageF3', True, 'float, 3'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGIUC2', True, 'itk::GPUImage< unsigned char, 2 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGIUL2', True, 'itk::GPUImage< unsigned long, 2 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGISS2', True, 'itk::GPUImage< signed short, 2 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGIUS2', True, 'itk::GPUImage< unsigned short, 2 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGIF2', True, 'itk::GPUImage< float, 2 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGIUC3', True, 'itk::GPUImage< unsigned char, 3 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGIUL3', True, 'itk::GPUImage< unsigned long, 3 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGISS3', True, 'itk::GPUImage< signed short, 3 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGIUS3', True, 'itk::GPUImage< unsigned short, 3 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGIF3', True, 'itk::GPUImage< float, 3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGIUC2', False, 'itk::GPUImage< unsigned char, 2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGIUL2', False, 'itk::GPUImage< unsigned long, 2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGISS2', False, 'itk::GPUImage< signed short, 2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGIUS2', False, 'itk::GPUImage< unsigned short, 2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGIF2', False, 'itk::GPUImage< float, 2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGIUC3', False, 'itk::GPUImage< unsigned char, 3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGIUL3', False, 'itk::GPUImage< unsigned long, 3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGISS3', False, 'itk::GPUImage< signed short, 3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGIUS3', False, 'itk::GPUImage< unsigned short, 3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGIF3', False, 'itk::GPUImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC2GIUC2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC2GIUL2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC2GISS2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC2GIUS2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC2GIF2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS2GIUC2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS2GIUL2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS2GISS2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS2GIUS2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS2GIF2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS2GIUC2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS2GIUL2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS2GISS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS2GIUS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS2GIF2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF2GIUC2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF2GIUL2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF2GISS2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF2GIUS2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF2GIF2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC3GIUC3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC3GIUL3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC3GISS3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC3GIUS3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC3GIF3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS3GIUC3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS3GIUL3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS3GISS3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS3GIUS3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS3GIF3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS3GIUC3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS3GIUL3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS3GISS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS3GIUS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS3GIF3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF3GIUC3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF3GIUL3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF3GISS3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF3GIUS3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF3GIF3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIUC2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIUL2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GISS2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIUS2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIF2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIUC2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIUL2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GISS2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIUS2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIF2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIUC2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIUL2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GISS2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIUS2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIF2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIUC2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIUL2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GISS2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIUS2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIF2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIUC3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIUL3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GISS3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIUS3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIF3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIUC3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIUL3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GISS3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIUS3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIF3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIUC3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIUL3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GISS3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIUS3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIF3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIUC3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIUL3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GISS3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIUS3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIF3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUImageOps', 'itk::GPUImageOps', 'itkGPUImageOps', True),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC2GIUC2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC2GIUL2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC2GISS2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC2GIUS2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC2GIF2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS2GIUC2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS2GIUL2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS2GISS2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS2GIUS2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS2GIF2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS2GIUC2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS2GIUL2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS2GISS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS2GIUS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS2GIF2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF2GIUC2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF2GIUL2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF2GISS2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF2GIUS2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF2GIF2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC3GIUC3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC3GIUL3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC3GISS3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC3GIUS3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC3GIF3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS3GIUC3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS3GIUL3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS3GISS3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS3GIUS3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS3GIF3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS3GIUC3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS3GIUL3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS3GISS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS3GIUS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS3GIF3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF3GIUC3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF3GIUL3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF3GISS3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF3GIUS3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF3GIF3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIUC2InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIUL2InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GISS2InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIUS2InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIF2InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIUC2InPlaceImageFilter', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIUL2InPlaceImageFilter', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GISS2InPlaceImageFilter', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIUS2InPlaceImageFilter', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIF2InPlaceImageFilter', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIUC2InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIUL2InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GISS2InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIUS2InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIF2InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIUC2InPlaceImageFilter', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 >, itk::InPlaceImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIUL2InPlaceImageFilter', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 >, itk::InPlaceImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GISS2InPlaceImageFilter', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 >, itk::InPlaceImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIUS2InPlaceImageFilter', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 >, itk::InPlaceImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIF2InPlaceImageFilter', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >, itk::InPlaceImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIUC3InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIUL3InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GISS3InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIUS3InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIF3InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIUC3InPlaceImageFilter', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIUL3InPlaceImageFilter', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GISS3InPlaceImageFilter', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIUS3InPlaceImageFilter', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIF3InPlaceImageFilter', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIUC3InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIUL3InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GISS3InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIUS3InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIF3InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIUC3InPlaceImageFilter', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 >, itk::InPlaceImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIUL3InPlaceImageFilter', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 >, itk::InPlaceImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GISS3InPlaceImageFilter', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 >, itk::InPlaceImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIUS3InPlaceImageFilter', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 >, itk::InPlaceImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIF3InPlaceImageFilter', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >, itk::InPlaceImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2GIUC2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2GIUL2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2GISS2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2GIUS2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2GIF2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2GIUC2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2GIUL2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2GISS2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2GIUS2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2GIF2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2GIUC2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2GIUL2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2GISS2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2GIUS2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2GIF2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2GIUC2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2GIUL2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2GISS2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2GIUS2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2GIF2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3GIUC3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3GIUL3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3GISS3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3GIUS3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3GIF3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3GIUC3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3GIUL3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3GISS3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3GIUS3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3GIF3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3GIUC3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3GIUL3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3GISS3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3GIUS3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3GIF3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3GIUC3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3GIUL3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3GISS3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3GIUS3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3GIF3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUReduction', 'itk::GPUReduction', 'itkGPUReductionSS', True, 'signed short'),
  ('GPUReduction', 'itk::GPUReduction', 'itkGPUReductionUC', True, 'unsigned char'),
  ('GPUReduction', 'itk::GPUReduction', 'itkGPUReductionUS', True, 'unsigned short'),
  ('GPUReduction', 'itk::GPUReduction', 'itkGPUReductionF', True, 'float'),
)
snake_case_functions = ('image_to_image_filter', 'image_source', 'in_place_image_filter', 'gpu_in_place_image_filter', 'gpu_image_to_image_filter', )
